.file-field {
    width: 100%;
    display: block;
    font-weight: 500;
    cursor: pointer;
    position: relative;
    line-height: 125%;
    color: $black;
    font-size: rem(11);
    border: 1px dashed #900B7B;
    padding: 13px 30px 12px 54px;

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        visibility: hidden;
        position: absolute;
    }

    &__icon {
        top: 17px;
        left: 20px;
        font-size: 0;
        line-height: 0;
        height: 16px;
        fill: $purple;
        position: absolute;
        display: inline-block;
    }

    &__uploaded {
        top: 14px;
        left: 18px;
        width: 22px;
        height: 22px;
        font-size: 0;
        line-height: 0;
        fill: $white;
        position: absolute;
        border-radius: 50%;
        background: $purple;
        display: flex;
        align-items: center;
        justify-content: center;
        opacity: 0;
        visibility: hidden;

        i {
            height: 5px;
            flex-shrink: 0;
            display: inline-block;
        }
    }

    &__placeholder {
        font-weight: 600;
        display: block;

        &:after {
       //     content: attr(data-file-placeholder);
        }
    }

    &__info {
        display: block;
        font-size: 10px;
        color: #828282;
        margin-top: 2px;
    }

    &--uploaded {
        background: rgba(144, 11, 123, 0.1);

        .file-field {

            &__icon {
                opacity: 0;
                visibility: hidden;
            }

            &__uploaded {
                opacity: 1;
                visibility: visible;
            }

            &__placeholder {

                &:after {
                    content: '';
                }
            }
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        height: 80px;
        display: flex;
        align-items: center;
        padding: 12px 30px 12px 50px;

        &__info {
            font-size: rem(10);
            margin-top: 0;
        }

        &__icon {
            top: calc(50% - 10px);
            left: 18px;
        }

        &__text {
            max-width: 100%;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        &__uploaded {
            left: 16px;
            top: calc(50% - 13px);
        }

    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {}

}
